root_chan_s Struct Reference

Lexical tree node data type for the first phone (root) of each dynamic HMM tree structure. More...

`#include <ngram_search.h>`

## Data Fields

hmm_t | hmm
| Basic HMM structure. More...
chan_t * | next
| first descendant of this channel
int32 | penult_phn_wid
int32 | this_phn_wid
| list of words consisting of this single phone; actually the first of the list, like penult_phn_wid; -1 if none
int16 | ciphone
| first ciphone of this node; all words rooted at this node begin with this ciphone
int16 | ci2phone
| second ciphone of this node; one root HMM for each unique right context

## Detailed Description

Lexical tree node data type for the first phone (root) of each dynamic HMM tree structure.

Each state may have a different parent static HMM. Most fields are similar to those in chan_t.

Definition at line 90 of file ngram_search.h.

## Field Documentation

hmm_t root_chan_s::hmm

Basic HMM structure.

This must be first in the structure because chan_t and root_chan_t are sometimes used interchangeably.

Definition at line 91 of file ngram_search.h.

Referenced by ngram_fwdflat_reinit(), ngram_fwdflat_start(), ngram_fwdtree_finish(), ngram_fwdtree_init(), and ngram_fwdtree_start().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ngram_search.h